/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package mysql;

import java.sql.Connection;
import java.sql.DriverManager;

/**
 *
 * @author francois
 */
public class Connexion {
    private static Connection connect;

    /**
     * Constructeur
     * 
     * @param serveur nom du serveur, localhost si local
     * @param bdd     nom de la base de données
     * @param nomUtil nom utilisateur
     * @param mdp     mot de passe lié à l'utilisateur
     */
    public Connexion(String serveur, String bdd, String nomUtil, String mdp) {
        try {
            Class.forName("com.mysql.cj.jdbc.Driver");

            String url = "jdbc:mysql://" + serveur + "/" + bdd;

            connect = DriverManager.getConnection(url, nomUtil, mdp);

        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    /**
     * Retourne la connection établie (Création d'une connection si elle n'existe
     * pas)
     * 
     * @param serveur nom du serveur, localhost si local
     * @param bdd     nom de la base de données
     * @param nomUtil nom utilisateur
     * @param mdp     mot de passe lié à l'utilisateur
     * @return connection établie
     */
    public Connection getConnection() {
        return connect;
    }
}
